connect
Get tool
Get one tool or list tools under a slash-separated category.
GET
/
connect
/
{namespace}
/
{connectionId}
/
.tools
/
{toolPath}
Get tool
curl --request GET \
--url https://api.smithery.ai/connect/{namespace}/{connectionId}/.tools/{toolPath} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smithery.ai/connect/{namespace}/{connectionId}/.tools/{toolPath}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smithery.ai/connect/{namespace}/{connectionId}/.tools/{toolPath}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
]
},
"title": "<string>",
"icons": [
{
"src": "<string>",
"mimeType": "<string>",
"sizes": [
"<string>"
]
}
],
"description": "<string>",
"outputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
]
},
"annotations": {
"title": "<string>",
"readOnlyHint": true,
"destructiveHint": true,
"idempotentHint": true,
"openWorldHint": true
},
"execution": {},
"_meta": {}
}{
"error": "not_found",
"message": "Resource not found"
}Authorizations
Smithery API key as Bearer token
Response
Tool metadata or category listing
Was this page helpful?
⌘I
Get tool
